Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(4)  |  Call(4)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/surface.py   rhinopython(Download)
    end_point = rhutil.coerce3dpoint(end_point, True)
    vec = end_point - start_point
    srf = Rhino.Geometry.Surface.CreateExtrusion(curve, vec)
    rc = scriptcontext.doc.Objects.AddSurface(srf)
    if rc==System.Guid.Empty: return scriptcontext.errorhandler()

src/h/o/Honeybee-HEAD/src/Honeybee_Glazing based on ratio.py   Honeybee(Download)
            finalWinSrfs = []
            for line in winLinesStart:
                finalWinSrfs.append(rc.Geometry.Surface.CreateExtrusion(line.ToNurbsCurve(), extruVec))
 
            rectWinBreps=[]
            extruVec = rc.Geometry.Vector3d.Multiply(extruUnitVec, (targetArea / (rectBtmCurveLength * 0.98)))
 
            finalWinSrf = rc.Geometry.Surface.CreateExtrusion(winStartLine, extruVec)
            rectWinBreps = [rc.Geometry.Surface.ToBrep(finalWinSrf)]
 

src/l/a/ladybug-HEAD/src/Ladybug_ShadingDesigner.py   ladybug(Download)
                for curve in unionedProjectedCrvs:
                    try:
                        splitShades = rc.Geometry.Brep.Split(optionalShdSrf_, rc.Geometry.Brep.CreateFromSurface(rc.Geometry.Surface.CreateExtrusion(curve, rc.Geometry.Vector3d.ZAxis)), sc.doc.ModelAbsoluteTolerance)
                        #shadingSurfaces.append(splitShades[1])
                        cenDist = []